## org.eclipse.datatools.connectivity.ui.navigator.actions
Class ProfileActionsActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.connectivity.ui.navigator.actions.ProfileActionsActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class ProfileActionsActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

This class provides default keyboard handling and some basic actions to the DSE. Note that if you want to override the Delete, Rename, or View Property actions you will need to do it here (by overriding this action provider) as well as in the popup menu extension. That is to handle the keyboard support.

Author:
  brianf

Constructor Summary
`ProfileActionsActionProvider()`

Method Summary
`void` `dispose()`
`void` `fillActionBars(org.eclipse.ui.IActionBars bars)`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager manager)`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aConfig)`
`void` `setActionContext(org.eclipse.ui.actions.ActionContext aContext)`
`void` `setContext(org.eclipse.ui.actions.ActionContext context)`
`void` `updateActionBars()`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileActionsActionProvider

    public ProfileActionsActionProvider()

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `org.eclipse.ui.actions.ActionGroup`

### setActionContext

    public void setActionContext(org.eclipse.ui.actions.ActionContext aContext)

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager manager)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars bars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aConfig)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### setContext

    public void setContext(org.eclipse.ui.actions.ActionContext context)

  Overrides:
    `setContext` in class `org.eclipse.ui.actions.ActionGroup`

### updateActionBars

    public void updateActionBars()

  Overrides:
    `updateActionBars` in class `org.eclipse.ui.actions.ActionGroup`